Bug 469244 - new 0.3 schema and upgraded 0.2 -> 0.3 schema do not match
new 0.3 schema and upgraded 0.2 -> 0.3 schema do not match
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Milan Zazrivec
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-30 15:22 EDT by Milan Zazrivec
Modified: 2012-03-06 03:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 09:09:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2008-10-30 15:22:43 EDT
Description of problem:
Diffing newly installed 0.3 schema and schema upgraded from 0.2 to 0.3
revealed one problem -- diffing results from:

> select group_name, last_update_user, name, security_type, value
from rhn_config_parameter
order by group_name, last_update_user, name, security_type, value;

shows one line from  rhn_config_parameter not being updated:

- netsaint system configDir ALL /etc/nocpulse
+ netsaint system configDir ALL /opt/home/nocpulse/etc

* this is from spacewalk 0.2 universe.deploy:
insert into rhn_config_parameter( group_name, name, value, security_type,
last_update_user, last_update_date) values ( 'netsaint', 'configDir',
'/opt/home/nocpulse/etc', 'ALL', 'system',sysdate);

* this is from 103-rhn_config_parameter_data-move_opt.sql:
update rhn_config_parameter set value=replace(value, 
'/opt/home/nocpulse/etc/', '/etc/nocpulse/');

Version-Release number of selected component (if applicable):
spacewalk-schema-0.3.5-1.el5.sw
Comment 1 Miroslav Suchý 2008-11-03 08:01:33 EST
Commited 2d6b5dd285a2fccb9912a6a73ed885f1eb2e4d9f
Built and tagged spacewalk-schema-0.3.6-1.
Comment 2 Milan Zazrivec 2008-11-12 06:43:09 EST
Verified with spacewalk-schema-0.3.6-1

Note You need to log in before you can comment on or make changes to this bug.